For the complete documentation index, see llms.txt. This page is also available as Markdown.

Retrieve product information by ID

Extract information about a product from the Avangate system using its unique ID and the code of the pricing list to which it is assigned to.

Request parameters

Parameter
Type / Description

sessionID

Required (string) Session identifier, which is the output of the Login method. An exception will be thrown if the values are incorrect.

productId

Required (int) The unique identifier of the product from the Avangate platform.

pricingListCode

Required (string) The unique identifier of a partner price list.

Request sample

<?php

require('PATH_TO_AUTH'); // Authentication example: https://knowledgecenter.avangate.com/Integration/Channel_Manager_API/SOAP/02Authentication
require('PATH_TO_setPartner'); // setPartner example: https://knowledgecenter.avangate.com/Integration/Channel_Manager_API/SOAP/06Reference/Partner/00Set_partner

$productId = 'YOUR_PRODUCT_ID';
$pricingListCode = 'YOUR_PRICING_LIST_CODE';

try {
    $ProductbyID= $client->getProductById ($sessionID, $productId, $pricingListCode);
} catch (SoapFault $e) {
    echo "ProductInfo: " . $e->getMessage();
    exit;
}
var_dump ("ProductInfo", $ProductbyID);

Response parameters

Parameter
Type / Description

ProductInfo

Complex object Complex object containing arrays of SimpleProduct and PriceOptions objects.

Errors

Error
Description

INVALID_PARTNER

No partner is set.

INVALID_PRODUCT

Please provide a valid product ID.

INVALID_PRICING_LIST_CODE

Please provide a valid pricing list code.

PARTNER_PRICING_LISTS_NOT_FOUND

There are no pricing lists with provided code.

PRODUCT_NOT_FOUND

There is no product with this id in the given pricing list.

Last updated

Was this helpful?